Package io.vertx.ext.web.codec

## Class SseEvent

- java.lang.Object
- - io.vertx.ext.web.codec.SseEvent

-     @Unstable
      public class SseEvent
      extends Object

  This represents a Server-Sent Event.
  See Also:
    Server-sent events

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SseEvent()` |
    `SseEvent​(JsonObject json)` |
    `SseEvent​(SseEvent other)` |
    `SseEvent​(String id, String event, String data, int retry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `data()` | Returns the payload of the event.
    `boolean` | `equals​(Object o)` |
    `String` | `event()` | Returns the type of the event.
    `int` | `hashCode()` |
    `String` | `id()` | Returns the event id.
    `int` | `retry()` | Returns the reconnection time.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SseEvent

          public SseEvent()

    - #### SseEvent

          public SseEvent​(String id,
                          String event,
                          String data,
                          int retry)

    - #### SseEvent

          public SseEvent​(JsonObject json)

    - #### SseEvent

          public SseEvent​(SseEvent other)

  - ### Method Detail

    - #### id

          public String id()

      Returns the event id.
      Returns:
        the event id.

    - #### event

          public String event()

      Returns the type of the event.
      Returns:
        the type of the event.

    - #### data

          public String data()

      Returns the payload of the event.
      Returns:
        the payload of the event.

    - #### retry

          public int retry()

      Returns the reconnection time.
      Returns:
        the reconnection time.

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`